package org.apache.maven.continuum.web.components;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts2.components.UIBean;

import com.opensymphony.xwork2.util.ValueStack;

/**
 * @author <a href="mailto:evenisse@apache.org">Emmanuel Venisse</a>
 * @version $Id: SubmitCancel.java 729461 2008-12-26 08:38:10Z olamy $
 */
public class SubmitCancel
    extends UIBean
{
    private static final String TEMPLATE = "submitCancel";

    private String cancel;

    public SubmitCancel( ValueStack stack, HttpServletRequest request, HttpServletResponse response )
    {
        super( stack, request, response );
    }

    protected String getDefaultTemplate()
    {
        return TEMPLATE;
    }

    public void evaluateParams()
    {
        super.evaluateParams();

        if ( cancel != null )
        {
            addParameter( "cancel", findString( cancel ) );
        }
    }

    public void setCancel( String cancel )
    {
        this.cancel = cancel;
    }
}
